#
# Conditional build:
%bcond_with	tests	# unit tests
#
%define		pdir	IO
%define		pnam	AIO
Summary:	IO::AIO - Perl Asynchronous Input/Output
Summary(pl.UTF-8):	IO::AIO - asynchroniczne wejście/wyjście w Perlu
Name:		perl-IO-AIO
Version:	4.81
Release:	1
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	https://www.cpan.org/modules/by-module/IO/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	efd22ccb3d38a45ba6c95c9477e70c6d
Patch0:		%{pdir}-%{pnam}-path.patch
Patch1:		%{pdir}-%{pnam}-glibc.patch
URL:		https://metacpan.org/dist/IO-AIO
BuildRequires:	perl-Canary-Stability >= 2001
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.52
BuildRequires:	perl-devel >= 1:5.8.2
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module implements asynchronous I/O using whatever means your
operating system supports.

%description -l pl.UTF-8
Ten moduł implementuje asynchroniczne we/wy przy użyciu dowolnych
metod obsługiwanych przez system operacyjny.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1
%patch1 -p1

%build
PERL_CANARY_STABILITY_NOPROMPT=1 \
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%attr(755,root,root) %{_bindir}/treescan
%{perl_vendorarch}/IO/AIO.pm
%dir %{perl_vendorarch}/auto/IO/AIO
%attr(755,root,root) %{perl_vendorarch}/auto/IO/AIO/AIO.so
%{_mandir}/man3/IO::AIO.3pm*
%{_mandir}/man1/treescan.1p*
%changelog
* Mon Jun 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-IO-AIO.git;a=log;h=master

* Mon Jun 10 2024 Jakub Bogusz <qboosh@pld-linux.org> 9f2e118
- updated to 4.81

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 79965dc
- perl 5.38.0 rebuild

* Sat Feb 04 2023 Jakub Bogusz <qboosh@pld-linux.org> 4d2228d
- updated to 4.79
- added glibc patch (workarounds glibc 2.36 <sys/mount.h> vs <linux/mount.h> conflict)

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 4d35207
- perl 5.36.0 rebuild

* Wed Mar 02 2022 Jan Rękorajski <baggins@pld-linux.org> e0ed3bf
- up to 4.76, test suite is broken

* Sun Jun 27 2021 Jakub Bogusz <qboosh@pld-linux.org> be33641
- updated to 4.75
- removed outdated version patch

* Tue May 11 2021 Jan Palus <atler@pld-linux.org> 287d41c
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 2dc5575
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 1d57ae0
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Fri Aug 31 2018 Marcin Krol <hawk@tld-linux.org> f2ea0ca
- same mistake again, fix version patch

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> a08cd9b
- updated to 4.60 (4.6)

* Sun Mar 11 2018 Marcin Krol <hawk@tld-linux.org> d60a684
- fix version patch

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> b0cf162
- revert epoch, instead do what other distros do - package as version 4.40
- fix perl path in treescan

* Thu Mar 08 2018 Marcin Krol <hawk@tld-linux.org> f78e791
- updated to 4.4 (yes, its newer than 4.34), epoch 1

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 6566eb5
- perl req/prov fix
- release 3 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 691d277
- rebuild with perl 5.26
- release 2 (by relup.sh)

* Tue May 23 2017 Jakub Bogusz <qboosh@pld-linux.org> dc65837
- avoid Canary::Stability interactivity

* Fri May 19 2017 Mariusz Mazur <mmazur@pld-linux.org> b9fd9f6
- Up to 4.34

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 52b84ba
- rebuild with perl 5.24.0
- release 4 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> bfcc32a
- release 3 (by relup.sh)

